## at-spi2-core 2.36.0-2+10.0trisquel1

=== debian/changelog ===
at-spi2-core (2.36.0-2+10.0trisquel1) nabia; urgency=medium

  * Enable on MATE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Feb 2021 18:35:09 +0000

=== debian/control ===
Source: at-spi2-core
Section: misc
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 12),
               dbus, libdbus-1-dev,
               libglib2.0-dev,
               libxkbcommon-x11-dev,
               libxkbcommon-dev,
               libxtst-dev,
               meson (>= 0.40.1),
               libgirepository1.0-dev,
               gtk-doc-tools (>= 1.09),
               gobject-introspection | dh-sequence-gir,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
Homepage: https://wiki.gnome.org/Accessibility

Package: at-spi2-core
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gdm3 (<< 3.4)
Description: Assistive Technology Service Provider Interface (dbus core)
 This package contains the core components of GNOME Accessibility.

Package: at-spi2-core-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: Assistive Technology Service Provider Interface (dbus core for d-i)
 This package contains the core components of GNOME Accessibility for the debian
 installer.

Package: libatspi2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: at-spi2-core (= ${binary:Version})
Description: Assistive Technology Service Provider Interface - shared library
 This package contains the shared library for applications that wish to use
 the at-spi interface.

Package: libatspi0-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: Assistive Technology Service Provider Interface - module for d-i
 This package contains the AT-SPI shared library, for the debian installer.

Package: libatspi2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-atspi-2.0 (= ${binary:Version}),
         libatspi2.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.4.1-2),
         libdbus-1-dev,
         libxtst-dev
Replaces: gir-repository-dev
Description: Development files for the assistive technology service provider
 These are the development files for at-spi2, needed for compilation of
 programs which use it.

Package: gir1.2-atspi-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends},
         libatspi2.0-0 (>= ${binary:Version})
Replaces: gir1.0-gtk-2.0 (<< 2.22),
          gobject-introspection-repository
Description: Assistive Technology Service Provider (GObject introspection)
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings

Package: at-spi2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Assistive Technology Service Provider Interface (Documentation)
 This package contains documentation for the at-spi2 interface.

## at-spi2-core 2.36.1

=== debian/changelog ===
at-spi2-core (2.36.1-1~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Aug 2020 14:16:59 +0200

at-spi2-core (2.36.1-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/euro: Upstreamed.
  * debian/tests/gedit: clear XDG_RUNTIME_DIR to avoid interaction with host
    environment.
  * debian/patches/memory_verbose: Make the memory test more verbose.
  * debian/patches/dbtest_quiet: Make the dbtest back verbose too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Sep 2020 17:53:07 +0200

at-spi2-core (2.36.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Samuel Thibault ]
  * control: Update alioth list domain.
  * patches/euro: Fix synthesizing the euro character.
  * patches/latin-accent: Fix synthesizing latin accent which are not latin1.

  [ Alexander Volkov ]
  * Fix build when nocheck profile is enabled

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:18:25 +0200

## at-spi2-core 2.38.0

=== debian/changelog ===
at-spi2-core (2.38.0-4) unstable; urgency=medium

  * Re-upload to get arch:all built on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Apr 2021 13:10:24 +0200

at-spi2-core (2.38.0-3) unstable; urgency=medium

  * patches/double-free: Fix double free. Fixes crash of accerciser when
    closing an application.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Apr 2021 23:44:28 +0200

at-spi2-core (2.38.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Sep 2020 23:07:32 +0200

at-spi2-core (2.38.0-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Sep 2020 21:44:19 +0200

at-spi2-core (2.37.92-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Sep 2020 17:50:46 +0200

at-spi2-core (2.37.90-1) experimental; urgency=medium

  * New upstream beta release.
    - control: Bump meson build-dep.
    - patches/dbtest_quiet: Upstreamed.
    - patches/euro: Upstreamed.
    - patches/latin-accent: Upstreamed.
    - patches/memory_verbose: Upstreamed.
    - tests/gedit: Rename to memory. Compile test application used instead of
    gedit.
    - tests/control: Drop gedit dependency.
    - patches/tests: Fix path to test application.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Aug 2020 16:23:17 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	ac_cv_lib_ICE_IceConnectionNumber=no \
	dh_auto_configure -- -Dintrospection=yes \
			-Ddocs=true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
	dh_makeshlibs -a --remaining-packages
	dh_girepository -pgir1.2-atspi-2.0

override_dh_strip:
	dh_strip -plibatspi2.0-0 --ddeb-migration='libatspi2.0-0-dbg (<< 2.18.3-4~)'
	dh_strip -plibatspi0-udeb
	dh_strip -pat-spi2-core --ddeb-migration='at-spi2-core-dbg (<< 2.18.3-4~)'
	dh_strip -pat-spi2-core-udeb

## at-spi2-core 2.40.0

=== debian/changelog ===
at-spi2-core (2.40.0-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Mar 2021 21:12:20 +0100

at-spi2-core (2.39.91-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Mar 2021 23:28:10 +0100

at-spi2-core (2.39.90.1-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Feb 2021 19:42:13 +0100

at-spi2-core (2.39.1-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release

  [ Helmut Grohne ]
  * Drop libxkbcommon*-dev dependencies unused since 2.26.1.
    (Closes: Bug#981162)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Feb 2021 19:36:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dbus, libdbus-1-dev,
+               gedit <!nocheck>,
                libglib2.0-dev,
-               libxkbcommon-x11-dev,
-               libxkbcommon-dev,
                libxtst-dev,
-               meson (>= 0.40.1),
+               meson (>= 0.46.0),
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility

## at-spi2-core 2.40.3

=== debian/changelog ===
at-spi2-core (2.40.3-3~bpo11+1) bullseye-backports; urgency=medium

  * Upload to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Aug 2021 14:12:27 +0200

at-spi2-core (2.40.3-3) unstable; urgency=medium

  * control: Make dbus-broker and libsystemd-dev deps linux-only.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Aug 2021 22:24:21 +0200

at-spi2-core (2.40.3-2) unstable; urgency=medium

  * libatspi2.0-0.lintian-overrides: avoid warning about package name vs
    soname.
  * control: Add dbus-broker, libsystemd-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Aug 2021 12:57:02 +0200

at-spi2-core (2.40.3-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libx11-dev build-dep.
  * control: Bump libglib2.0-dev build-dep version.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 16:31:59 +0200

at-spi2-core (2.40.2-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on meson.
    + at-spi2-core: Drop versioned constraint on gdm3 in Breaks.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Jun 2021 00:04:12 +0200

at-spi2-core (2.40.1-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/double-free: Upstreamed.

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * rules: Drop ddeb-migration rules, now useless.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 May 2021 00:41:33 +0200

## at-spi2-core 2.42.0

=== debian/changelog ===
at-spi2-core (2.42.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Upload to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Nov 2021 17:01:32 +0100

at-spi2-core (2.42.0-2) unstable; urgency=medium

  [ Michael Biebl ]
  * rules: Use dbus-broker by default when available (Closes: #998062)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gtk-doc-tools.
    + libatspi2.0-dev: Drop versioned constraint on libglib2.0-dev in Depends.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Oct 2021 17:21:47 +0200

at-spi2-core (2.42.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Sep 2021 01:23:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dbus, libdbus-1-dev,
+               dbus-broker [linux-any], libsystemd-dev [linux-any],
                gedit <!nocheck>,
-               libglib2.0-dev,
-               libxtst-dev,
-               meson (>= 0.46.0),
+               libglib2.0-dev (>= 2.62),
+               libx11-dev, libxtst-dev,
+               meson,
                libgirepository1.0-dev,
-               gtk-doc-tools (>= 1.09),
+               gtk-doc-tools,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
@@ -23,7 +25,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: gdm3 (<< 3.4)
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.
 
@@ -62,7 +63,7 @@
 Depends: ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
          libatspi2.0-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.4.1-2),
+         libglib2.0-dev,
          libdbus-1-dev,
          libxtst-dev
 Replaces: gir-repository-dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	ac_cv_lib_ICE_IceConnectionNumber=no \
	dh_auto_configure -- \
		-Dintrospection=yes \
		-Ddocs=true \
		-Ddefault_bus=dbus-broker

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
	dh_makeshlibs -a --remaining-packages
	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.44.0

=== debian/changelog ===
at-spi2-core (2.44.0-3) unstable; urgency=medium

  * control: Add gsettings-desktop-schemas dep to at-spi2-core
    (Closes: Bug#1008197)
  * tests/control: Drop gsettings-desktop-schemas dep.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Mar 2022 18:55:45 +0100

at-spi2-core (2.44.0-2) unstable; urgency=medium

  * tests/control: Add gsettings-desktop-schemas dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Mar 2022 18:04:00 +0100

at-spi2-core (2.44.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/tests: Refresh patch.
    - at-spi2-core.docs: Update README.md file name.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Contact.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Mar 2022 17:23:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
                dbus-broker [linux-any], libsystemd-dev [linux-any],
                gedit <!nocheck>,
@@ -16,7 +16,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
@@ -24,7 +24,7 @@
 Package: at-spi2-core
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, gsettings-desktop-schemas
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,7 @@
 		-Ddefault_bus=dbus-broker
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
-endif
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'

=== debian/tests/control ===
Tests: memory dbind
Depends: libatspi2.0-dev, build-essential, xauth, xvfb, dbus, at-spi2-core

## at-spi2-core 2.44.0-3+11.0trisquel1

=== debian/changelog ===
at-spi2-core (2.44.0-3+11.0trisquel1) aramo; urgency=medium

  * Enable on MATE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 14 Jun 2022 07:47:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
                dbus-broker [linux-any], libsystemd-dev [linux-any],
-               gedit <!nocheck>,
                libglib2.0-dev (>= 2.62),
                libx11-dev, libxtst-dev,
                meson,

## at-spi2-core 2.44.1

=== debian/changelog ===
at-spi2-core (2.44.1-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Upload to buster-backports-sloppy.
    - patches/keep-abstract-socket: Keep the bus on an abstract socket, since we
      do not have glib >= 2.62 in buster.
    - control: Drop dbus-broker build-dep, not available in buster.
    - source/lintian-overrides: Silence lintian false positive.
    - patches/glib2.0-dep: Revert using glib2.0's recent
      g_spawn_async_with_pipes_and_fds.
    - patches/errno: Fix build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Apr 2022 10:46:47 +0200

at-spi2-core (2.44.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Apr 2022 23:17:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
-               dbus-broker [linux-any], libsystemd-dev [linux-any],
-               libglib2.0-dev (>= 2.62),
+               libsystemd-dev [linux-any],
+               gedit <!nocheck>,
+               libglib2.0-dev,
                libx11-dev, libxtst-dev,
                meson,
                libgirepository1.0-dev,

## at-spi2-core 2.46.0

=== debian/changelog ===
at-spi2-core (2.46.0-5) unstable; urgency=medium

  * patches/timeoutstop: Set stop timeout to 5s (Closes: #890833).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Jan 2023 17:39:36 +0100

at-spi2-core (2.46.0-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/control: Depend on dbus-daemon instead of dbus.

  [ Jeremy Bicha ]
  * debian/control: Drop obsolete Build-Depends on gedit

  [ Debian Janitor ]
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 11:39:35 -0500

at-spi2-core (2.46.0-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Temporarily revert an upstream change that made one test hang

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 12:13:10 -0400

at-spi2-core (2.46.0-2) unstable; urgency=medium

  * control, at-spi2-{core,common}.install: Move translated messages from
    at-spi2-core to new at-spi2-common package, so that libatk1.0-0 can depend
    on the latter only (Closes: Bug#1020213).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Sep 2022 00:51:16 +0200

at-spi2-core (2.46.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 20:42:47 +0200

at-spi2-core (2.45.91-1) experimental; urgency=medium

  * New upstream development release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 16:08:57 +0200

at-spi2-core (2.45.90-1) experimental; urgency=medium

  * New upstream development release.
    - patches/test_disable_teamspaces: Drop, fixed upstream.
    - libatk-bridge2.0-0.symbols: Update.
    - copyright: Update.
  * control: Fix libatk1.0-0 section back to libs.
  * libatk-bridge2.0-0.symbols: Add Build-Depends-Package.
  * control: Fix D-Bus and Debian spelling.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 08 Aug 2022 00:09:11 +0200

at-spi2-core (2.45.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/: include packages from atk1.0 and at-spi2-atk source packages.
  * Drop libatk1.0-data package, the atk10.mo translations are now included in
    at-spi2-core.mo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Jul 2022 00:15:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,22 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
-               libsystemd-dev [linux-any],
-               gedit <!nocheck>,
-               libglib2.0-dev,
+               dbus-broker [linux-any], libsystemd-dev [linux-any],
+               libglib2.0-dev (>= 2.62),
+               libxml2-dev,
                libx11-dev, libxtst-dev,
-               meson,
+               meson (>= 0.56.2),
+               pkg-config,
                libgirepository1.0-dev,
                gtk-doc-tools,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
+               at-spi2-core <!nocheck>,
+Build-Depends-Indep: docbook-xml <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
@@ -24,17 +28,26 @@
 Package: at-spi2-core
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, gsettings-desktop-schemas
-Description: Assistive Technology Service Provider Interface (dbus core)
+Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-common, gsettings-desktop-schemas
+Description: Assistive Technology Service Provider Interface (D-Bus core)
  This package contains the core components of GNOME Accessibility.
 
+Package: at-spi2-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: at-spi2-core (<< 2.46.0-2~)
+Replaces: at-spi2-core (<< 2.46.0-2~)
+Description: Assistive Technology Service Provider Interface (common files)
+ This package contains the common resource files of GNOME Accessibility.
+
 Package: at-spi2-core-udeb
 Section: debian-installer
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
-Description: Assistive Technology Service Provider Interface (dbus core for d-i)
- This package contains the core components of GNOME Accessibility for the debian
+Description: Assistive Technology Service Provider Interface (D-Bus core for d-i)
+ This package contains the core components of GNOME Accessibility for the Debian
  installer.
 
 Package: libatspi2.0-0
@@ -54,7 +67,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
 Description: Assistive Technology Service Provider Interface - module for d-i
- This package contains the AT-SPI shared library, for the debian installer.
+ This package contains the AT-SPI shared library, for the Debian installer.
 
 Package: libatspi2.0-dev
 Section: libdevel
@@ -93,3 +106,139 @@
 Suggests: devhelp
 Description: Assistive Technology Service Provider Interface (Documentation)
  This package contains documentation for the at-spi2 interface.
+
+Package: libatk-adaptor
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: at-spi
+Replaces: at-spi
+Provides: at-spi
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libatk-bridge2.0-0 (>= ${binary:Version})
+Description: AT-SPI 2 toolkit bridge
+ This package includes a gtk-module that bridges ATK to the new
+ D-Bus based AT-SPI.
+
+Package: libatk-adaptor-udeb
+Architecture: any
+Section: debian-installer
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: AT-SPI 2 toolkit bridge - module for d-i
+ This package includes the gtk-module for the Debian installer.
+
+Package: libatk-bridge2.0-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: AT-SPI 2 toolkit bridge - shared library
+ This package contains the ATK bridge shared library.
+
+Package: libatk-bridge-2.0-0-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: AT-SPI 2 toolkit bridge - shared library for d-i
+ This package contains the ATK bridge shared library, for the Debian installer.
+
+Package: libatk-bridge2.0-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libatk-bridge2.0-0 (= ${binary:Version}),
+         libatk1.0-dev,
+         libglib2.0-dev,
+         libatspi2.0-dev
+Description: Development files for the AT-SPI 2 toolkit bridge
+ These are the development files for libatk-bridge2.0, needed for
+ compilation of programs which use it.
+
+Package: libatk1.0-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         at-spi2-common
+Description: ATK accessibility toolkit
+ ATK is a toolkit providing accessibility interfaces for applications or
+ other toolkits. By implementing these interfaces, those other toolkits or
+ applications can be used with tools such as screen readers, magnifiers, and
+ other alternative input devices.
+ .
+ This is the runtime part of ATK, needed to run applications built with it.
+
+Package: libatk1.0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: ATK accessibility toolkit
+ This is a udeb, or a microdeb, for the Debian installer.
+ .
+ ATK is a toolkit providing accessibility interfaces for applications or
+ other toolkits. By implementing these interfaces, those other toolkits or
+ applications can be used with tools such as screen readers, magnifiers, and
+ other alternative input devices.
+ .
+ This is a stripped down version of the runtime part of ATK.
+
+Package: libatk1.0-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libatk1.0-0 (= ${binary:Version}),
+         gir1.2-atk-1.0 (= ${binary:Version}),
+         pkg-config,
+         libglib2.0-dev
+Replaces: gir-repository-dev
+Description: Development files for the ATK accessibility toolkit
+ ATK is a toolkit providing accessibility interfaces for applications or
+ other toolkits. By implementing these interfaces, those other toolkits or
+ applications can be used with tools such as screen readers, magnifiers, and
+ other alternative input devices.
+ .
+ These are the development files for ATK, needed for compilation of
+ programs or toolkits which use it.
+
+Package: libatk1.0-doc
+Section: doc
+Build-Profiles: <!nodoc>
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Suggests: libglib2.0-doc,
+          libgtk-3-doc,
+          devhelp
+Description: Documentation files for the ATK toolkit
+ ATK is a toolkit providing accessibility interfaces for applications or
+ other toolkits. By implementing these interfaces, those other toolkits or
+ applications can be used with tools such as screen readers, magnifiers, and
+ other alternative input devices.
+ .
+ This contains the HTML documentation for the ATK library in
+ /usr/share/doc/libatk1.0-doc/ .
+
+Package: gir1.2-atk-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${gir:Depends}
+Description: ATK accessibility toolkit (GObject introspection)
+ ATK is a toolkit providing accessibility interfaces for applications or
+ other toolkits. By implementing these interfaces, those other toolkits or
+ applications can be used with tools such as screen readers, magnifiers, and
+ other alternative input devices.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
 	dh $@
@@ -13,9 +14,13 @@
 		-Ddefault_bus=dbus-broker
 
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
+	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
+	dh_makeshlibs -plibatk1.0-0 --add-udeb="libatk1.0-udeb" -V -- -c4
 	dh_makeshlibs -a --remaining-packages
 	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.48.0

=== meson_options.txt ===
option('dbus_services_dir',
       description: 'Location of the DBus services',
       type: 'string',
       value: 'default')
option('dbus_daemon',
       description: 'The path of the DBus daemon',
       type: 'string',
       value: 'default')
option('dbus_broker',
       description: 'The path of the DBus broker',
       type: 'string',
       value: 'default')
option('default_bus',
       description: 'The default DBus implementation to use',
       type: 'combo',
       choices: ['dbus-daemon', 'dbus-broker'],
       value: 'dbus-daemon')
option('systemd_user_dir',
       description: 'Location of the systemd user services',
       type: 'string',
       value: 'default')
option('docs',
       description: 'Generate API reference for atspi (requires GTK-Doc)',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Enable GObject Introspection (depends on GObject)',
       type: 'feature',
       value: 'auto',
       yield: true)
option('x11',
       description: 'Enable X11 support',
       type: 'feature',
       value: 'auto')
option('disable_p2p',
       description: 'Disable peer-to-peer DBus connections for at-spi2-atk',
       type: 'boolean',
       value: false)
option('atk_only',
       description: 'Build only the ATK stub library without atspi or at-spi2-atk (UNSUPPORTED)',
       type: 'boolean',
       value: false)

=== debian/changelog ===
at-spi2-core (2.48.0-1) experimental; urgency=medium

  * New upstream release.
    - patches/timeoutstop: Upstreamed.
    - control: Bump meson version accordingly. Add libglib2.0-dev-bin
    arch-indep build-dep.
    - libatk1.0-doc.links: Update documentation links.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Mar 2023 00:09:25 +0200

at-spi2-core (2.47.1-1) experimental; urgency=medium

  * New upstream beta release.
    - patches/workaround_tests_issue.patch: Refresh.
    - rules: Switch from -Dintrospection=yes to -Dintrospection=enabled.
    - control: Add gi-docgen and python3-sphinx build-deps.
    - at-spi2-doc.install: Install usr/share/doc/libatspi instead of
    usr/share/gtk-doc/html/libatspi.
    - libatk1.0-doc.install: Install usr/share/doc/atk instead of
    usr/share/gtk-doc/html/atk.
    - libatk-bridge2.0-0.symbols: Remove spi_dbus_emit_valist symbol.
    - at-spi2-doc.doc-base: Register libatspi doc.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Feb 2023 01:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
                libglib2.0-dev (>= 2.62),
                libxml2-dev,
                libx11-dev, libxtst-dev,
-               meson (>= 0.56.2),
+               meson (>= 0.63.0),
                pkg-config,
                libgirepository1.0-dev,
-               gtk-doc-tools,
+               gtk-doc-tools, gi-docgen, python3-sphinx,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                at-spi2-core <!nocheck>,
 Build-Depends-Indep: docbook-xml <!nodoc>,
                      libglib2.0-doc <!nodoc>,
+                     libglib2.0-dev-bin <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_configure:
 	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- \
-		-Dintrospection=yes \
+		-Dintrospection=enabled \
 		-Ddocs=true \
 		-Ddefault_bus=dbus-broker

## at-spi2-core 2.48.3

=== debian/changelog ===
at-spi2-core (2.48.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Jun 2023 10:58:17 +0200

at-spi2-core (2.48.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 18:20:20 +0200

## at-spi2-core 2.49.90

=== debian/changelog ===
at-spi2-core (2.49.90-5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 24 Aug 2023 18:40:08 +0300

at-spi2-core (2.49.90-5) unstable; urgency=medium

  * Restore test-application-path.patch but only for autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 23 Aug 2023 10:34:41 -0400

at-spi2-core (2.49.90-4) unstable; urgency=medium

  * Drop 2 tests patches that are no longer required

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 23:27:34 -0400

at-spi2-core (2.49.90-3) unstable; urgency=medium

  * Restore and rebase patch to work around hanging tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 23:13:07 -0400

at-spi2-core (2.49.90-2) unstable; urgency=medium

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 15:01:51 -0400

at-spi2-core (2.49.90-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols files
  * Update standards version to 4.6.2, no changes needed
  * Drop CI workaround patch: hopefully no longer needed after upstream changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 09:53:15 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
-               dbus-broker [linux-any], libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
                libxml2-dev,
                libx11-dev, libxtst-dev,
@@ -21,7 +20,7 @@
                      libglib2.0-doc <!nodoc>,
                      libglib2.0-dev-bin <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
+
+configure_options :=
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
+endif
 
 %:
 	dh $@
@@ -10,13 +16,15 @@
 	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- \
 		-Dintrospection=enabled \
-		-Ddocs=true \
-		-Ddefault_bus=dbus-broker
+		-Ddocs=true 
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'

## at-spi2-core 2.50.0

=== debian/changelog ===
at-spi2-core (2.50.0-1) unstable; urgency=medium

  * New upstream version 2.50.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:55:59 -0400

at-spi2-core (2.49.91-2) unstable; urgency=medium

  * Restore workaround_tests_issue.patch: still needed for Ubuntu autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 21:16:21 -0400

at-spi2-core (2.49.91-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop CI workaround patch: hopefully no longer needed after upstream changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 11:18:00 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
+               dbus-broker [linux-any], libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
                libxml2-dev,
                libx11-dev, libxtst-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,14 @@
 	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- \
 		-Dintrospection=enabled \
-		-Ddocs=true 
+		-Ddocs=true \
+		$(configure_options) \
+		-Ddefault_bus=dbus-broker
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'

## at-spi2-core 2.52.0

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,14 @@
        type: 'combo',
        choices: ['dbus-daemon', 'dbus-broker'],
        value: 'dbus-daemon')
+option('use_systemd',
+       description: 'Use systemd if available (needed for dbus-broker)',
+       type: 'boolean',
+       value: true)
+option('gtk2_atk_adaptor',
+       description: 'Build the runtime module loaded by GTK2',
+       type: 'boolean',
+       value: true)
 option('systemd_user_dir',
        description: 'Location of the systemd user services',
        type: 'string',

=== debian/changelog ===
at-spi2-core (2.52.0-1build1) noble; urgency=high

  * No change rebuild against libglib2.0-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:40 +0200

at-spi2-core (2.52.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 3 patches applied in new release

  [ Samuel Thibault ]
  * d/control, rules: Revert 2.51.90-4 changes, now that architectures have
    caught up.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 10:11:50 -0400

at-spi2-core (2.51.90-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control, d/rules: Temporarily only use dbus-broker on 64-bit
    architectures, plus i386.
    This breaks a dependency cycle on the architectures affected by the
    64-bit time_t transition:
    at-spi2-core, dbus-broker, systemd, cryptsetup, libssh, openssh-server,
    gtk+3.0, at-spi-2-core. It can be reverted after the transition has
    finished. (Partially reopens: #998062)
  * d/control, d/rules: Temporarily skip tests on 32-bit except for i386.
    This allows at-spi2-core to be re-bootstrapped on those architectures
    during the 64-bit time_t transition. It normally has a circular
    build-dependency on an older version of itself. (Closes: #1066844)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Mar 2024 11:43:19 +0100

at-spi2-core (2.51.90-3) unstable; urgency=medium

  * patches/missing-function-declaration: Fix build with qa=+bug-implicit-func.
    Closes: Bug#1066283.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 11:44:52 +0100

at-spi2-core (2.51.90-2) unstable; urgency=medium

  * control: Replace libgirepository1.0-dev build-dep with gir1.2-dbus-1.0-dev
    gir1.2-glib-2.0-dev gir1.2-gobject-2.0-dev.  Closes: Bug#1065316.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 02:19:20 +0100

at-spi2-core (2.51.90-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Cherry-pick patches to drop new libei dependency
  * debian/*.symbols: Add new symbols

  [ Samuel Thibault ]
  * control: Add Depends: ${gir:Depends} and Provides: ${gir:Provides}
    (Closes: Bug#1061083)
  * control: Replace pkg-config deps with pkgconf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 10:20:22 -0500

at-spi2-core (2.50.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061923

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:56:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dbus, libdbus-1-dev,
                dbus-broker [linux-any], libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
                libxml2-dev,
                libx11-dev, libxtst-dev,
                meson (>= 0.63.0),
-               pkg-config,
-               libgirepository1.0-dev,
+               pkgconf,
                gtk-doc-tools, gi-docgen, python3-sphinx,
+               gir1.2-dbus-1.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -51,7 +54,10 @@
  This package contains the core components of GNOME Accessibility for the Debian
  installer.
 
-Package: libatspi2.0-0
+Package: libatspi2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatspi2.0-0
+Breaks: libatspi2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -74,13 +80,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
-         libatspi2.0-0 (= ${binary:Version}),
+         libatspi2.0-0t64 (= ${binary:Version}),
          libglib2.0-dev,
          libdbus-1-dev,
-         libxtst-dev
+         libxtst-dev,
 Replaces: gir-repository-dev
+Provides: ${gir:Provides}
 Description: Development files for the assistive technology service provider
  These are the development files for at-spi2, needed for compilation of
  programs which use it.
@@ -92,7 +100,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatspi2.0-0 (>= ${binary:Version})
+         libatspi2.0-0t64 (>= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
 Description: Assistive Technology Service Provider (GObject introspection)
@@ -117,7 +125,7 @@
 Provides: at-spi
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libatk-bridge2.0-0 (>= ${binary:Version})
+         libatk-bridge2.0-0t64 (>= ${binary:Version})
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -130,7 +138,10 @@
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the Debian installer.
 
-Package: libatk-bridge2.0-0
+Package: libatk-bridge2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk-bridge2.0-0
+Breaks: libatk-bridge2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -152,7 +163,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libatk-bridge2.0-0 (= ${binary:Version}),
+         libatk-bridge2.0-0t64 (= ${binary:Version}),
          libatk1.0-dev,
          libglib2.0-dev,
          libatspi2.0-dev
@@ -160,7 +171,10 @@
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
 
-Package: libatk1.0-0
+Package: libatk1.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk1.0-0
+Breaks: libatk1.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -195,12 +209,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         libatk1.0-0 (= ${binary:Version}),
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         libatk1.0-0t64 (= ${binary:Version}),
          gir1.2-atk-1.0 (= ${binary:Version}),
-         pkg-config,
-         libglib2.0-dev
+         pkgconf,
+         libglib2.0-dev,
 Replaces: gir-repository-dev
+Provides: ${gir:Provides}
 Description: Development files for the ATK accessibility toolkit
  ATK is a toolkit providing accessibility interfaces for applications or
  other toolkits. By implementing these interfaces, those other toolkits or

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,8 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
-	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
-	dh_makeshlibs -plibatk1.0-0 --add-udeb="libatk1.0-udeb" -V -- -c4
+	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'
+	dh_makeshlibs -plibatk-bridge2.0-0t64 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
+	dh_makeshlibs -plibatk1.0-0t64 --add-udeb="libatk1.0-udeb" -V -- -c4
 	dh_makeshlibs -a --remaining-packages
 	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.52.0-1build1trisquel2

=== debian/changelog ===
at-spi2-core (2.52.0-1build1trisquel2) ecne; urgency=medium

  * Enable on MATE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 04:09:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),

## at-spi2-core 2.53.1

=== debian/changelog ===
at-spi2-core (2.53.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Cherry-pick patch related to the "push button" → "button" rename

  [ Samuel Thibault ]
  * tests/*: Always unpatch on exit.
  * test build profiles

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 08:54:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dbus, libdbus-1-dev,
